LogHarbour: logging - Task #18067

Go lib: GetSet()
01/03/2024 05:46 PM - Shuvam Misra

Status: Closed Start date:

Priority: Normal Due date: 15/03/2024
Assignee: Kanchan Barve % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Sprint 15 Mar

Description

Write the Go function which connects directly to the ElasticSearch database and pulls out a set of values of an attribute

Related issues:
Precedes LogHarbour: logging - Task #18069: Go lib: GetUnusuallP() Closed
Precedes LogHarbour: logging - Task #18068: Go lib: GetApps() Closed

18/03/2024
18/03/2024

18/03/2024
18/03/2024

Associated revisions

Revision 560a4469 - 11/03/2024 12:20 PM - Kanchan
refs : #18067, #18068 - modified GetSet() and GetApps () Added

Revision f07089c8 - 11/03/2024 12:21 PM - remiges-kanchan
Merge pull request #25 from remiges-kanchan/wsc
refs : #18067, #18068 - modified GetSet() and GetApps () Added

Revision 25072ef1 - 11/03/2024 07:39 PM - Kanchan
refs : #18067 - Unit test Cases Added for GetSet()

Revision 8163c83b - 11/03/2024 07:42 PM - remiges-kanchan
Merge pull request #28 from remiges-kanchan/wsc
refs : #18067 - Unit test Cases Added for GetSet()

Revision ¢5833b79 - 12/03/2024 12:00 PM - Kanchan
refs : #18067 - modified testData.

Revision fbb97bbb - 12/03/2024 12:02 PM - remiges-kanchan

Merge pull request #30 from remiges-kanchan/wsc

refs : #18067 - modified testData.

History

#1 - 01/03/2024 06:01 PM - Shuvam Misra
- Precedes Task #18069: Go lib: GetUnusuallP() added

#2 - 01/03/2024 06:01 PM - Shuvam Misra
- Precedes Task #18068: Go lib: GetApps() added

#3 - 04/03/2024 11:10 AM - Kanchan Barve
- Assignee set to Kanchan Barve

- Status changed from New to In Progress

#4 - 04/03/2024 07:06 PM - Kanchan Barve
- % Done changed from 0 to 20
e GetSet Function is Added which gives set of values based on setattr parameter.
e validation for method parameters Added.
¢ In progress - need to test timestamp logic

#5 - 05/03/2024 07:37 PM - Kanchan Barve
- % Done changed from 20 to 30

* Added Validation to method parameters
¢ In progress: Query using term and term aggregation

#6 - 06/03/2024 07:23 PM - Kanchan Barve
- % Done changed from 30 to 40

- File QUERY .png added

- File querinput.png added

e Working query

GET /logharbour/_search
{
"query": {
"bool": {
"filter": [
{
"range": {
"when": {
"gte": "now-30d"
"lte": "nowfd"

’

¥
s
{

"term": {

"app": "crux"
¥
}
1
1
1,
"sort": [
{ "when": { "format": "strict_date_opticnal_time_nanos" } }
1,
"aggs": {
"services": {
"terms": {
"field": "type"
}
}
}
}
"range": {
when" :
“gte":

® |n progress :- Adding Priority

#7 - 07/03/2024 07:12 PM - Kanchan Barve
- % Done changed from 40 to 50

¢ priority added.
e sorting by when removed from query.
e Added separate method for validating setAttr parameter in GetSet().

#8 - 08/03/2024 06:00 PM - Shuvam Misra

- Status changed from In Progress to Testing

#9 - 11/03/2024 07:24 PM - Kanchan Barve
- % Done changed from 50 to 90

¢ modified priority logic.
* unit test cases added.

#10 - 12/03/2024 04:23 PM - Kanchan Barve
- % Done changed from 90 to 100

- Status changed from Testing to Closed

@ Cost: 214ms
